Skip to main content
GET
Retrieve a playlist by its ID

Authorizations

Authorization
string
header
required

Rocksky bearer token.

Query Parameters

uri
string
required

The URI of the playlist to retrieve.

filter
string

RSQL filter expression applied to the playlist's tracks, e.g. artist=="Daft Punk";duration=gt=200000. Supports ==, !=, <, <=, >, >=, =in=, =out=, and ;/and, ,/or combinators, * wildcards in string values. Filterable fields: title, artist, album, albumArtist, genre, composer, label, duration, trackNumber, discNumber, mbId, isrc, sha256, uri, albumUri, artistUri, addedAt

Maximum string length: 2048

Response

Success

Detailed view of a playlist, including its tracks and metadata

id
string

The unique identifier of the playlist.

title
string

The title of the playlist.

uri
string

The URI of the playlist.

curatorDid
string

The DID of the curator of the playlist.

curatorHandle
string

The handle of the curator of the playlist.

curatorName
string

The name of the curator of the playlist.

curatorAvatarUrl
string<uri>

The URL of the avatar image of the curator.

description
string

A description of the playlist.

coverImageUrl
string<uri> | null

The URL of the cover image for the playlist.

createdAt
string<date-time>

The date and time when the playlist was created.

tracks
object[]

A list of tracks in the playlist.

curatorDId
string
updatedAt
string
trackCount
integer